GitLab 7.12.x < 13.8.8 / 13.9.x < 13.9.6/13.10.x < 13.10.3 RCE

critical Nessus Plugin ID 154879

Synopsis

遠端網頁伺服器上執行的來源控制應用程式受到一個執行遠端程式碼弱點的影響。

描述

根據其自我報告的版本,遠端 Web 伺服器上執行的 GitLab 執行個體是早於 13.8.8、早於 13.9.6 的 13.9.x 或早於 13.10.3 的 13.10.x 版本。因此會受到執行遠端程式碼的影響,而這是由於未正確驗證傳遞給檔案剖析器的影像檔案所致。經驗證的遠端攻擊者可惡意利用此弱點,透過上傳惡意影像檔案來執行任意程式碼。

請注意,Nessus 並未測試此問題,而是僅依據應用程式自我報告的版本號碼。

解決方案

升級至 GitLab 13.8.8/13.9.6/13.10.3 或更新版本。

另請參閱

http://www.nessus.org/u?e0f673b6

Plugin 詳細資訊

嚴重性: Critical

ID: 154879

檔案名稱: gitlab_13_10_3.nasl

版本: 1.8

類型: remote

系列: CGI abuses

已發布: 2021/11/3

已更新: 2022/1/13

風險資訊

CVSS 評分資料來源: CVE-2021-22205

VPR

風險因素: Critical

分數: 10

CVSS v2

風險因素: High

基本分數: 7.5

時間分數: 6.5

媒介: AV:N/AC:L/Au:N/C:P/I:P/A:P

時間媒介: E:H/RL:OF/RC:C

CVSS v3

風險因素: Critical

基本分數: 10

時間分數: 9.5

媒介: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:C/C:H/I:H/A:H

時間媒介: E:H/RL:O/RC:C

弱點資訊

CPE: cpe:/a:gitlab:gitlab

必要的 KB 項目: installed_sw/GitLab

可被惡意程式利用: true

可輕鬆利用: Exploits are available

修補程式發佈日期: 2021/4/14

弱點發布日期: 2021/4/14

CISA 已知利用日期: 2021/11/17

惡意利用途徑

Metasploit (GitLab Unauthenticated Remote ExifTool Command Injection)

參考資訊

CVE: CVE-2021-22205

IAVA: 2021-A-0523-S